<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

/**
 * Class Danger.
 *
 * @property $id
 * @property $name
 * @property $description
 * @property $levels
 */
class Danger extends Model
{
    use HasFactory;
    use HasTimestamps;

    public function levels(): HasMany
    {
        return $this->hasMany(DangerLevel::class);
    }
}
