<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Evaluation>
 */
class EvaluationFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        return [
            'status' => $this->faker->numberBetween(1, 3),
            'current_step' => $this->faker->numberBetween(1, 5),
            'current_step_status' => $this->faker->numberBetween(1, 3),
            'updated_by' => $this->faker->name(),
            'author' => $this->faker->name(),
        ];
    }
}
