<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        User::firstOrCreate([
            'email' => 'admin@datakode.fr',
            'firstname' => 'Admin',
            'lastname' => 'Datakode',
            'password' => Hash::make(env('ADMIN_PASSWORD', 'secret')),
            'role' => User::ROLE_ADMIN,
            'active' => true,
        ]);
    }
}
